/*
 * @(#)SkeletonNotFoundException.java	1.4 98/08/12
 *
 * (c) Copyright Sun Microsystems Inc, 1992-1999. All rights reserved.
 * (c) Copyright IBM Corporation, 1996-1999. All rights reserved.
 * 
 * This product is based in part on the work of the Independent JPEG group.
 * 
 * The Java(tm) technology is owned and exclusively licensed by 
 * Sun Microsystems Inc.  Java is a trademark of Sun Microsystems Inc. in
 * the U.S. and other countries.
 * 
 * US Govt Users Restricted Rights - Use duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

package java.rmi.server;

import java.rmi.RemoteException;

public class SkeletonNotFoundException extends RemoteException {

    private static final long serialVersionUID = -7860299673822761231L;

    /**
     * Create a new SkeletonNotFoundException exception with a descriptive string.
     */
    public SkeletonNotFoundException(String s) {
	super(s);
    }

    /**
     * Create a new SkeletonNotFoundException with a descriptive string and an exception.
     */
    public SkeletonNotFoundException(String s, Exception ex) {
	super(s, ex);
    }
}
