/*
 * @(#)NotSerializableException.java	1.4 97/01/22
 *
 * (c) Copyright Sun Microsystems Inc, 1992-1999. All rights reserved.
 * (c) Copyright IBM Corporation, 1996-1999. All rights reserved.
 * 
 * This product is based in part on the work of the Independent JPEG group.
 * 
 * The Java(tm) technology is owned and exclusively licensed by 
 * Sun Microsystems Inc.  Java is a trademark of Sun Microsystems Inc. in
 * the U.S. and other countries.
 * 
 * US Govt Users Restricted Rights - Use duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

package java.io;

/** Raised by a class or the serialization runtime when a class
 * may not be serialized. The argument should be the name of the class.
 *
 * @author  unascribed
 * @version 1.4, 01/22/97
 * @since   JDK1.1
 */
public class NotSerializableException extends ObjectStreamException {
    /**
     * @since   JDK1.1
     */
    public NotSerializableException(String classname) {
	super(classname);
    }

    /**
     * @since   JDK1.1
     */
    public NotSerializableException() {
	super();
    }
}
