/*
 * @(#)UnknownHostException.java	1.5 98/08/12
 *
 * (c) Copyright Sun Microsystems Inc, 1992-1999. All rights reserved.
 * (c) Copyright IBM Corporation, 1996-1999. All rights reserved.
 * 
 * This product is based in part on the work of the Independent JPEG group.
 * 
 * The Java(tm) technology is owned and exclusively licensed by 
 * Sun Microsystems Inc.  Java is a trademark of Sun Microsystems Inc. in
 * the U.S. and other countries.
 * 
 * US Govt Users Restricted Rights - Use duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

package java.rmi;

public class UnknownHostException extends RemoteException {

    private static final long serialVersionUID = -8152710247442114228L;

    /**
     * Create a new UnknownHostException with a description.
     */
    public UnknownHostException(String s) {
	super(s);
    }

    /**
     * Create a new UnknownHostException with a description and
     * detail exception.
     */
    public UnknownHostException(String s, Exception ex) {
	super(s, ex);
    }
}
