/*
 * @(#)Operation.java	1.4 96/11/18
 *
 * (c) Copyright Sun Microsystems Inc, 1992-1999. All rights reserved.
 * (c) Copyright IBM Corporation, 1996-1999. All rights reserved.
 * 
 * This product is based in part on the work of the Independent JPEG group.
 * 
 * The Java(tm) technology is owned and exclusively licensed by 
 * Sun Microsystems Inc.  Java is a trademark of Sun Microsystems Inc. in
 * the U.S. and other countries.
 * 
 * US Govt Users Restricted Rights - Use duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

package java.rmi.server;

/**
 * Operation holds a description of a Java method.
 */
public class Operation {
    private String operation;
    
    /**
     * Creates a new Operation object.
     */
    public Operation(String op) {
	operation = op;
    }
    
    /**
     * Returns the name of the method.
     */
    public String getOperation() {
	return operation;
    }
   
    public String toString() {
	return operation;
    }
}
