/*
 * @(#)Unreferenced.java	1.3 96/11/18
 *
 * (c) Copyright Sun Microsystems Inc, 1992-1999. All rights reserved.
 * (c) Copyright IBM Corporation, 1996-1999. All rights reserved.
 * 
 * This product is based in part on the work of the Independent JPEG group.
 * 
 * The Java(tm) technology is owned and exclusively licensed by 
 * Sun Microsystems Inc.  Java is a trademark of Sun Microsystems Inc. in
 * the U.S. and other countries.
 * 
 * US Govt Users Restricted Rights - Use duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

package java.rmi.server;

/**
 * A remote object should implement this interface to receive notification
 * when there are no more remote references to it.
 */
public interface Unreferenced {
    /**
     * Called when there are no current references to this remote object.
     */
    public void unreferenced();
}
