/*
 * @(#)LocaleElements_fr_LU.java	1.1 98/07/07
 *
 * (c) Copyright Sun Microsystems Inc, 1992-1999. All rights reserved.
 * (c) Copyright IBM Corporation, 1996-1999. All rights reserved.
 * 
 * This product is based in part on the work of the Independent JPEG group.
 * 
 * The Java(tm) technology is owned and exclusively licensed by 
 * Sun Microsystems Inc.  Java is a trademark of Sun Microsystems Inc. in
 * the U.S. and other countries.
 * 
 * US Govt Users Restricted Rights - Use duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

/**
 * Table of Java supplied standard locale elements
 * Created 19 May 1998
 */

// WARNING : the format of this file will change in the future!

package java.text.resources;

import java.util.ListResourceBundle;

public class LocaleElements_fr_LU extends ListResourceBundle {
    /**
     * Overrides ListResourceBundle
     */
    public Object[][] getContents() {
        return new Object[][] {
            { "LocaleString", "fr_LU" }, // locale id based on iso codes
            { "ShortCountry", "LUX" }, // iso-3 abbrev country name
            { "CurrencyElements",
                new String[] {
                    "F", // local currency symbol
                    "LUF", // intl currency symbol
                    "," // monetary decimal separator
                }
            }
        };
    }
}
